## rpmbuild cannot create debuginfo
## for ada packages 
%define debug_package %{nil}

Name:        aunit
Version:    2011
Release:    1%{?dist}
Summary:    Unit test framework for Ada
Group:      Development/Languages
License:    GPLv2+
URL:        http://libre.adacore.com/libre/tools/aunit
## No direct download link
Source0:    aunit-gpl-2010-src.tgz
# Add DESTDIR to make install 
Patch0:     aunit-2010-makefile.patch
# Use shared linraries
Patch1:     aunit-2010-libdir.patch
# Fedora specific
Patch2:     aunit-directories.patch 
# Remove vendor optflags
Patch3:     aunit-optflags.patch 


BuildRequires: fedora-gnat-project-common >= 2     
BuildRequires:  chrpath gprbuild

Requires:    fedora-gnat-project-common >= 2

# gcc-gnat only available on these:
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha

%description
%{summary}

%package devel
Summary:    Devel package for aunit
Group:      Development/Languages
License:    GPLv2+
Requires: fedora-gnat-project-common >= 2
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel 
%{summary}

%prep
%setup -q -n aunit-gpl-2010-src
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
## Doen't compile without this options
export GNATFLAGS="%{GNAT_optflags} -cargs -fno-strict-aliasing "
make
## make %{?_smp_mflags}  


%install
rm -rf $RPM_BUILD_ROOT
export ADA_PROJECT_PATH=%{_GNAT_project_dir}
make install DESTDIR=$RPM_BUILD_ROOT  I_LIB="%{buildroot}/%{_libdir}/%{name}/"
## There is no gps in fedora
rm -rf %{buildroot}/%{_datadir}/gps/
chrpath --delete %{buildroot}/%{_libdir}/%{name}/native-full/libaunit.so.%{version}
ln -s %{_libdir}/%{name}/native-full/lib%{name}.so.2010 %{buildroot}/%{_libdir}/lib%{name}.so.%{version}
ln -s %{_libdir}/%{name}/native-full/lib%{name}.so %{buildroot}/%{_libdir}/lib%{name}.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/native-full
%{_libdir}/%{name}/native-full/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/%{name}/native-full/lib%{name}.so
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/native-full/%{name}*
%{_libdir}/%{name}/native-full/ada_containers*
%{_includedir}/%{name}
%{_datadir}/%{name}
%{_GNAT_project_dir}/%{name}.gpr
%{_GNAT_project_dir}/%{name}_shared.gpr



%changelog
* Sun Mar 04 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-1
- Update to 2011

* Fri Jun 03 2011 Dan Horák <dan[at]danny.cz> - 2010-3
- updated the supported arch list

* Sat Apr 30 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2010-2
- Remove vendor optflags

* Mon Mar 28 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2010-1
- Initial build
